Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.reader.javadoc
Class JavadocReader

    java.lang.Object
      org.teleal.lemma.reader.AbstractReader
          org.teleal.lemma.reader.javadoc.AbstractJavadocReader
              org.teleal.lemma.reader.javadoc.JavadocReader

All Implemented Interfaces:
  Reader

    public class JavadocReader

extends AbstractJavadocReader

Reads title and content from a Javadoc `Doc`, handles `javadoc://` scheme.

This reader understands the individual Javadoc "tags", it wraps these individual parts of each Javadoc comment and validates the whole.

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`CONTEXT_ROOT_DOC`

Constructor Summary
`JavadocReader()`

Method Summary
`protected void` | `appendContent(org.teleal.common.xhtml.XHTMLElement parent, com.sun.javadoc.Doc doc, CitationAnchor citation, String titleString)`
`protected String` | `getLinkLabel(com.sun.javadoc.SeeTag tag)`
`protected String` | `getLinkReference(com.sun.javadoc.SeeTag tag, AnchorAddress address)`
`protected AnchorAddress` | `getLinkReferenceAddress(com.sun.javadoc.SeeTag tag)`
`protected org.teleal.common.xhtml.XHTML` | `read(CitationAnchor citation, Context context, com.sun.javadoc.RootDoc rootDoc)`
`protected org.teleal.common.xhtml.XHTML` | `read(com.sun.javadoc.Doc doc, CitationAnchor citation)`
`protected String` | `readTagCode(com.sun.javadoc.Tag tag)`
`protected String` | `readTags(com.sun.javadoc.Tag[] tags)`
`protected String` | `readTagSee(com.sun.javadoc.SeeTag seeTag)`
`protected String` | `readTagText(com.sun.javadoc.Tag tag)`
`protected String` | `readTitle(com.sun.javadoc.Doc doc, CitationAnchor citation)`

Methods inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`findTargetDoc, read, resolveThisReferences`

Methods inherited from class org.teleal.lemma.reader.AbstractReader
`appendTitle, getParser, getXPath, resolveFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocReader

    public JavadocReader()

Method Detail

### read

    protected org.teleal.common.xhtml.XHTML read(CitationAnchor citation,
                                                 Context context,
                                                 com.sun.javadoc.RootDoc rootDoc)

  Specified by:
    `read` in class `AbstractJavadocReader`

### read

    protected org.teleal.common.xhtml.XHTML read(com.sun.javadoc.Doc doc,
                                                 CitationAnchor citation)

### readTitle

    protected String readTitle(com.sun.javadoc.Doc doc,
                               CitationAnchor citation)

### appendContent

    protected void appendContent(org.teleal.common.xhtml.XHTMLElement parent,
                                 com.sun.javadoc.Doc doc,
                                 CitationAnchor citation,
                                 String titleString)

### readTags

    protected String readTags(com.sun.javadoc.Tag[] tags)

### readTagText

    protected String readTagText(com.sun.javadoc.Tag tag)

### readTagSee

    protected String readTagSee(com.sun.javadoc.SeeTag seeTag)

### readTagCode

    protected String readTagCode(com.sun.javadoc.Tag tag)

### getLinkReferenceAddress

    protected AnchorAddress getLinkReferenceAddress(com.sun.javadoc.SeeTag tag)

### getLinkReference

    protected String getLinkReference(com.sun.javadoc.SeeTag tag,
                                      AnchorAddress address)

### getLinkLabel

    protected String getLinkLabel(com.sun.javadoc.SeeTag tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.